Start Gmail watch
curl --request POST \
--url http://127.0.0.1:3333/v3/integrations/gmail/{workspaceId}/gmail/{credentialsId}/watch/start \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"labelIds": [
"<string>"
]
}
'import requests
url = "http://127.0.0.1:3333/v3/integrations/gmail/{workspaceId}/gmail/{credentialsId}/watch/start"
payload = { "labelIds": ["<string>"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({labelIds: ['<string>']})
};
fetch('http://127.0.0.1:3333/v3/integrations/gmail/{workspaceId}/gmail/{credentialsId}/watch/start', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"historyId": "<string>",
"expiration": "<string>",
"emailAddress": "<string>",
"labelIds": [
"<string>"
]
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Gmail
Start Gmail watch
Start Gmail watch for inbound notifications.
POST
/
v3
/
integrations
/
gmail
/
{workspaceId}
/
gmail
/
{credentialsId}
/
watch
/
start
Start Gmail watch
curl --request POST \
--url http://127.0.0.1:3333/v3/integrations/gmail/{workspaceId}/gmail/{credentialsId}/watch/start \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"labelIds": [
"<string>"
]
}
'import requests
url = "http://127.0.0.1:3333/v3/integrations/gmail/{workspaceId}/gmail/{credentialsId}/watch/start"
payload = { "labelIds": ["<string>"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({labelIds: ['<string>']})
};
fetch('http://127.0.0.1:3333/v3/integrations/gmail/{workspaceId}/gmail/{credentialsId}/watch/start', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"historyId": "<string>",
"expiration": "<string>",
"emailAddress": "<string>",
"labelIds": [
"<string>"
]
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Authorizations
bearerAuthapiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Maximum array length:
100Required string length:
1 - 128